summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--mk/image.mk8
-rw-r--r--mk/vars.mk1
-rw-r--r--package/ffmpeg/Makefile2
-rw-r--r--package/kodi/Makefile12
-rw-r--r--package/kodi/patches/patch-configure_in68
-rw-r--r--package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp6
-rw-r--r--package/mesalib/Makefile4
-rw-r--r--package/mpd/Makefile2
-rwxr-xr-xscripts/install-rb532.sh100
-rwxr-xr-xscripts/install-rpi.sh139
-rwxr-xr-xscripts/install-solidrun.sh143
-rwxr-xr-xscripts/install.sh2
-rw-r--r--target/linux/config/Config.in.network1
-rw-r--r--toolchain/gcc/Makefile.inc2
-rw-r--r--toolchain/glibc/patches/2.20/glibc-cross.patch33
15 files changed, 108 insertions, 415 deletions
diff --git a/mk/image.mk b/mk/image.mk
index e74d759df..bd7d66f96 100644
--- a/mk/image.mk
+++ b/mk/image.mk
@@ -85,8 +85,8 @@ TARGET_KERNEL= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_FS}-kernel
INITRAMFS= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-${ADK_TARGET_FS}
ROOTFSSQUASHFS= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-${ADK_TARGET_FS}.img
ROOTFSJFFS2= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-jffs2.img
-ROOTFSTARBALL= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-${ADK_TARGET_FS}+kernel.tar.gz
-ROOTFSUSERTARBALL= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-${ADK_TARGET_FS}.tar.gz
+ROOTFSTARBALL= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-${ADK_TARGET_FS}+kernel.tar.xz
+ROOTFSUSERTARBALL= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}-${ADK_TARGET_FS}.tar.xz
ROOTFSISO= ${ADK_TARGET_SYSTEM}-${ADK_TARGET_LIBC}.iso
kernel-package: kernel-strip
@@ -103,7 +103,7 @@ kernel-package: kernel-strip
${FW_DIR}/${ROOTFSTARBALL}: ${TARGET_DIR}/.adk kernel-package
cd ${TARGET_DIR}; find . | sed -n '/^\.\//s///p' | \
sed "s#\(.*\)#:0:0::::::\1#" | sort | \
- ${STAGING_HOST_DIR}/usr/bin/cpio -o -Hustar -P | gzip -n9 >$@
+ ${STAGING_HOST_DIR}/usr/bin/cpio -o -Hustar -P | $(XZ) -c >$@
ifeq ($(ADK_TARGET_QEMU),y)
@cp $(KERNEL) $(FW_DIR)/$(TARGET_KERNEL)
endif
@@ -111,7 +111,7 @@ endif
${FW_DIR}/${ROOTFSUSERTARBALL}: ${TARGET_DIR}/.adk
cd ${TARGET_DIR}; find . | grep -v ./boot/ | sed -n '/^\.\//s///p' | \
sed "s#\(.*\)#:0:0::::::\1#" | sort | \
- ${STAGING_HOST_DIR}/usr/bin/cpio -o -Hustar -P | gzip -n9 >$@
+ ${STAGING_HOST_DIR}/usr/bin/cpio -o -Hustar -P | $(XZ) -c >$@
${STAGING_TARGET_DIR}/${INITRAMFS}_list: ${TARGET_DIR}/.adk
env PATH='${HOST_PATH}' $(BASH) ${LINUX_DIR}/scripts/gen_initramfs_list.sh -u squash -g squash \
diff --git a/mk/vars.mk b/mk/vars.mk
index 1a18990ee..12ffaeed6 100644
--- a/mk/vars.mk
+++ b/mk/vars.mk
@@ -215,6 +215,7 @@ HOST_STATIC_LLDFLAGS:= -all-static
endif
SED:= PATH='${HOST_PATH}' sed -i -e
+XZ:= PATH='${HOST_PATH}' xz
LINUX_DIR:= $(BUILD_DIR)/linux
KERNEL_MODULE_FLAGS:= ARCH=${ADK_TARGET_ARCH} \
PREFIX=/usr \
diff --git a/package/ffmpeg/Makefile b/package/ffmpeg/Makefile
index 26c882b11..f11a814bc 100644
--- a/package/ffmpeg/Makefile
+++ b/package/ffmpeg/Makefile
@@ -6,7 +6,7 @@ include ${ADK_TOPDIR}/rules.mk
PKG_NAME:= ffmpeg
PKG_VERSION:= 2.5.1
PKG_RELEASE:= 1
-PKG_MD5SUM:= 8da635baff57d7ab704b1daca5a99b47
+PKG_MD5SUM:= ad3b4c189e9a7d43ae54c52d409a43ef
PKG_DESCR:= record, convert and stream audio & video
PKG_SECTION:= libs/video
PKG_FDEPENDS:= libpthread
diff --git a/package/kodi/Makefile b/package/kodi/Makefile
index 1ddef1b2a..4e2f132e1 100644
--- a/package/kodi/Makefile
+++ b/package/kodi/Makefile
@@ -6,11 +6,11 @@ include $(ADK_TOPDIR)/rules.mk
PKG_NAME:= kodi
PKG_VERSION:= 14.0
PKG_RELEASE:= 1
-PKG_MD5SUM:= ab161aa0dee4ca77b977d3ca2f4ebdd5
+PKG_MD5SUM:= 9717c539789789b8aeaf1dcfdb9f2c69
PKG_DESCR:= software media player
PKG_SECTION:= mm/video
PKG_DEPENDS:= boost python2 libstdcxx glibc-gconv
-PKG_DEPENDS+= libass libmpeg2 libmad libdbus
+PKG_DEPENDS+= libass libmpeg2 libmad libdbus libglew mesalib
PKG_DEPENDS+= libjpeg-turbo libogg libvorbis libmodplug libcurl
PKG_DEPENDS+= libflac libbz2 libtiff liblzo libressl
PKG_DEPENDS+= yajl tinyxml libsqlite libpcrecpp libpng libncurses
@@ -18,9 +18,9 @@ PKG_DEPENDS+= libpcre libcdio libfreetype libsamplerate
PKG_DEPENDS+= taglib libjasper libmp3lame libmicrohttpd
PKG_DEPENDS+= libgpg-error libudev python2-mod-sqlite libffmpeg
PKG_DEPENDS+= libxslt libvorbisenc alsa-lib glib libglu librt
-PKG_BUILDDEP:= boost python2 libass ffmpeg libressl
+PKG_BUILDDEP:= boost python2 libass ffmpeg libressl libglew
PKG_BUILDDEP+= libmpeg2 libmad libjpeg-turbo libogg libvorbis
-PKG_BUILDDEP+= curl flac bzip2 libtiff liblzo yajl
+PKG_BUILDDEP+= curl flac bzip2 libtiff liblzo yajl mesalib
PKG_BUILDDEP+= tinyxml sqlite pcre libpng libcdio freetype
PKG_BUILDDEP+= libsamplerate taglib libjasper lame libmicrohttpd
PKG_BUILDDEP+= eudev alsa-lib glib glu libmodplug
@@ -73,8 +73,8 @@ PKGFD_WITH_WEBSERVER:= enable internal webserver support
# libiconv missing, freescale GL libraries linked against glibc
PKG_LIBC_DEPENDS:= glibc
-PKG_DEPENDS_RASPBERRY_PI:= bcm2835-vc libglew mesalib
-PKG_BUILDDEP_RASPBERRY_PI:= bcm2835-vc libglew mesalib
+PKG_DEPENDS_RASPBERRY_PI:= bcm2835-vc
+PKG_BUILDDEP_RASPBERRY_PI:= bcm2835-vc
PKG_DEPENDS_SOLIDRUN_IMX6:= libfslvpuwrap gpu-viv-bin-mx6q
PKG_BUILDDEP_SOLIDRUN_IMX6:= libfslvpuwrap gpu-viv-bin-mx6q
PKG_SYSTEM_DEPENDS:= raspberry-pi solidrun-imx6
diff --git a/package/kodi/patches/patch-configure_in b/package/kodi/patches/patch-configure_in
index aab2c5057..7bbafe474 100644
--- a/package/kodi/patches/patch-configure_in
+++ b/package/kodi/patches/patch-configure_in
@@ -1,6 +1,46 @@
---- kodi-14.0rc2.orig/configure.in 2014-12-05 19:38:42.000000000 -0600
-+++ kodi-14.0rc2/configure.in 2014-12-07 03:43:25.212418001 -0600
-@@ -1008,7 +1008,7 @@ if test "$use_gles" = "yes"; then
+--- xbmc-14.0-Helix.orig/configure.in 2014-12-22 17:11:35.000000000 -0600
++++ xbmc-14.0-Helix/configure.in 2014-12-25 14:08:39.073043750 -0600
+@@ -55,13 +55,7 @@ AC_DEFUN([XB_ADD_CODEC],
+ # check for library basenames
+ AC_DEFUN([XB_FIND_SONAME],
+ [
+- if echo "$host" | grep -q freebsd ; then
+- AC_MSG_CHECKING([for lib$2 soname])
+- $1_SONAME=[`ldconfig -r | sed -n "s;.* \(/.*lib$2\.so.*\)$;\1;p" | head -n 1`]
+- if test x$$1_SONAME != x ; then
+- $1_SONAME=[`basename $$1_SONAME`]
+- fi
+- elif [[ "$host_vendor" != "apple" ]]; then
++ set -x
+ AC_MSG_CHECKING([for lib$2 soname])
+ $1_FILENAME=$($CC -nostdlib -o /dev/null $LDFLAGS $4 -l$2 -Wl,-M 2>/dev/null | grep "^LOAD.*$2" | awk '{V=2; print $V}')
+ if [[ -z $$1_FILENAME ]]; then
+@@ -71,24 +65,6 @@ AC_DEFUN([XB_FIND_SONAME],
+ if [[ ! -z $$1_FILENAME ]]; then
+ $1_SONAME=$($OBJDUMP -p $$1_FILENAME | grep "SONAME.*$2" | awk '{V=2; print $V}')
+ fi
+- else
+- AC_MSG_CHECKING([for lib$2 dylib])
+- gcc_lib_path=[`$CC -print-search-dirs 2>/dev/null | fgrep libraries: | sed 's/[^=]*=\(.*\)/\1/' | sed 's/:/ /g'`]
+- env_lib_path=[`echo $LDFLAGS | sed 's/-L[ ]*//g'`]
+- if test "$cross_compiling" = yes; then
+- host_lib_path=""
+- else
+- host_lib_path="/usr/lib /usr/local/lib"
+- fi
+- for path in $gcc_lib_path $env_lib_path $host_lib_path; do
+- lib=[`ls -- $path/lib$2.dylib 2>/dev/null`]
+- if test x$lib != x; then
+- # we want the path/name that is embedded in the dylib
+- $1_FILENAME=[`otool -L $lib | grep -v lib$2.dylib | grep lib$2 | awk '{V=1; print $V}'`]
+- $1_SONAME=[`basename $$1_FILENAME`]
+- fi
+- done
+- fi
+ if [[ -z "$$1_SONAME" ]]; then
+ AC_MSG_RESULT([no])
+ if test -z "$3" || test "x${$3}" = "xyes"; then
+@@ -1015,7 +991,7 @@ if test "$use_gles" = "yes"; then
AC_DEFINE([HAVE_LIBEGL],[1],["Define to 1 if you have the `EGL' library (-lEGL)."])
AC_DEFINE([HAVE_LIBGLESV2],[1],["Define to 1 if you have the `GLESv2' library (-lGLESv2)."])
AC_MSG_RESULT(== WARNING: OpenGLES support is assumed.)
@@ -9,3 +49,25 @@
else
AC_CHECK_LIB([EGL], [main],, AC_MSG_ERROR($missing_library))
AC_CHECK_LIB([GLESv2],[main],, AC_MSG_ERROR($missing_library))
+@@ -1066,21 +1042,6 @@ AC_CHECK_HEADER([vorbis/vorbisfile.h],,
+ AC_CHECK_HEADER([libmodplug/modplug.h],, AC_MSG_ERROR($missing_library))
+
+ AC_CHECK_HEADER([curl/curl.h],, AC_MSG_ERROR($missing_library))
+-XB_FIND_SONAME([CURL], [curl])
+-AC_MSG_CHECKING([for CRYPTO_set_locking_callback(0) in $CURL_SONAME])
+-if test "$host_vendor" = "apple" ; then
+- libchecker="$NM"
+- searchpattern="T [_]?CRYPTO_set_locking_call"
+-else
+- libchecker="$READELF -s"
+- searchpattern="CRYPTO_set_locking_call"
+-fi
+-if test $($libchecker $CURL_FILENAME | grep -Eq "${searchpattern}" ; echo $?) -eq 0 ; then
+- AC_MSG_RESULT(yes)
+- AC_DEFINE([HAS_CURL_STATIC], [1], [Whether OpenSSL inside libcurl is static.])
+-else
+- AC_MSG_RESULT(no)
+-fi
+
+ AC_CHECK_HEADER([openssl/crypto.h], AC_DEFINE([HAVE_OPENSSL],[1],[Define if we have openssl]),)
+ AC_CHECK_HEADER([gcrypt.h], gcrypt_headers_available=yes,gcrypt_headers_available=no)
diff --git a/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp b/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp
index 8780e81db..4f24390f7 100644
--- a/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp
+++ b/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp
@@ -1,6 +1,6 @@
---- kodi-14.0rc3.orig/xbmc/cores/dvdplayer/DVDDemuxers/DVDDemuxFFmpeg.cpp 2014-12-09 14:19:32.000000000 +0100
-+++ kodi-14.0rc3/xbmc/cores/dvdplayer/DVDDemuxers/DVDDemuxFFmpeg.cpp 2014-12-20 04:27:04.000000000 +0100
-@@ -534,8 +534,8 @@ void CDVDDemuxFFmpeg::Reset()
+--- xbmc-14.0-Helix.orig/xbmc/cores/dvdplayer/DVDDemuxers/DVDDemuxFFmpeg.cpp 2014-12-22 17:11:35.000000000 -0600
++++ xbmc-14.0-Helix/xbmc/cores/dvdplayer/DVDDemuxers/DVDDemuxFFmpeg.cpp 2014-12-25 13:38:23.629060371 -0600
+@@ -538,8 +538,8 @@ void CDVDDemuxFFmpeg::Reset()
void CDVDDemuxFFmpeg::Flush()
{
// naughty usage of an internal ffmpeg function
diff --git a/package/mesalib/Makefile b/package/mesalib/Makefile
index 4cea294b6..118d882cb 100644
--- a/package/mesalib/Makefile
+++ b/package/mesalib/Makefile
@@ -4,9 +4,9 @@
include $(ADK_TOPDIR)/rules.mk
PKG_NAME:= mesalib
-PKG_VERSION:= 10.3.3
+PKG_VERSION:= 10.3.5
PKG_RELEASE:= 1
-PKG_MD5SUM:= e02efdfe0466bc75769e462841ab83f2
+PKG_MD5SUM:= ed488f3e7c2f0250ba42ed4778f5c36d
PKG_DESCR:= 3d graphics library
PKG_SECTION:= libs/video
PKG_DEPENDS:= libxdamage libxfixes libdrm libxxf86vm libexpat
diff --git a/package/mpd/Makefile b/package/mpd/Makefile
index 8409e924d..a11f87f06 100644
--- a/package/mpd/Makefile
+++ b/package/mpd/Makefile
@@ -6,7 +6,7 @@ include ${ADK_TOPDIR}/rules.mk
PKG_NAME:= mpd
PKG_VERSION:= 0.19.7
PKG_RELEASE:= 1
-PKG_MD5SUM:= c79e56483e49319f3a1f88dc9d03ee3b
+PKG_MD5SUM:= 5ce7e6608289e2bc7dcda41b1fad6260
PKG_DESCR:= music player daemon
PKG_SECTION:= mm/audio
PKG_DEPENDS:= glib libstdcxx libmpdclient librt boost
diff --git a/scripts/install-rb532.sh b/scripts/install-rb532.sh
deleted file mode 100755
index 152ad8fa1..000000000
--- a/scripts/install-rb532.sh
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-if [ $(id -u) -ne 0 ];then
- printf "Installation is only possible as root\n"
- exit 1
-fi
-
-f=0
-for tool in parted sfdisk mkfs.ext4 tune2fs;do
- if ! which $tool >/dev/null; then
- echo "Checking if $tool is installed... failed"
- f=1
- fi
-done
-if [ $f -eq 1 ];then exit 1;fi
-
-if [ -z $1 ];then
- printf "Please give your compact flash device as first parameter\n"
- exit 1
-else
- if [ -z $2 ];then
- printf "Please give your install tar archive as second parameter\n"
- exit 2
- fi
- if [ -f $2 ];then
- printf "Installing $2 on $1\n"
- else
- printf "$2 is not a file, Exiting\n"
- exit 1
- fi
- if [ -b $1 ];then
- printf "Using $1 as CF disk for installation\n"
- echo "WARNING: This will destroy all data on $1 - type Yes to continue!"
- read y
- if [ "$y" = "Yes" ];then
- env LC_ALL=C sfdisk -l $1 2>&1 |grep 'No medium'
- if [ $? -eq 0 ];then
- echo "No medium found"
- exit 1
- else
- printf "Starting with installation\n"
- fi
- else
- printf "Exiting.\n"
- exit 1
- fi
- else
- printf "Sorry $1 is not a block device\n"
- exit 1
- fi
-fi
-
-
-if [ $(mount | grep $1| wc -l) -ne 0 ];then
- printf "Block device $1 is in use, please umount first.\n"
- exit 1
-fi
-
-printf "Create partition and filesystem for rb532\n"
-rootpart=${1}2
-parted -s $1 mklabel msdos >/dev/null 2>&1
-sleep 2
-maxsize=$(env LC_ALL=C parted $1 -s unit cyl print |awk '/^Disk/ { print $3 }'|sed -e 's/cyl//')
-rootsize=$(($maxsize-2))
-
-parted -s $1 unit cyl mkpart primary ext2 0 2 >/dev/null 2>&1
-parted -s $1 unit cyl mkpart primary ext2 2 $rootsize >/dev/null 2>&1
-parted -s $1 unit cyl mkpart primary fat32 $rootsize $maxsize >/dev/null 2>&1
-parted -s $1 set 1 boot on >/dev/null 2>&1
-sfdisk --change-id $1 1 27 >/dev/null 2>&1
-sfdisk --change-id $1 3 88 >/dev/null 2>&1
-sleep 1
-mkfs.ext4 -q -O ^huge_file ${1}2
-tune2fs -c 0 -i 0 -m 1 ${rootpart} >/dev/null 2>&1
-if [ $? -eq 0 ];then
- printf "Successfully disabled filesystem checks on ${rootpart}\n"
-else
- printf "Disabling filesystem checks failed, Exiting.\n"
- exit 1
-fi
-
-tmp=$(mktemp -d)
-mount -t ext4 ${rootpart} $tmp
-printf "Extracting install archive\n"
-tar -C $tmp -xzpf $2
-dd if=$tmp/boot/kernel of=${1}1 bs=2048 >/dev/null 2>&1
-if [ $? -eq 0 ];then
- printf "Installation of kernel successful.\n"
- rm $tmp/boot/kernel
-else
- printf "Installation of kernel failed.\n"
-fi
-printf "Fixing permissions\n"
-chmod 1777 $tmp/tmp
-chmod 4755 $tmp/bin/busybox
-umount $tmp
-printf "Successfully installed.\n"
-exit 0
diff --git a/scripts/install-rpi.sh b/scripts/install-rpi.sh
deleted file mode 100755
index ae4deff94..000000000
--- a/scripts/install-rpi.sh
+++ /dev/null
@@ -1,139 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-if [ $(id -u) -ne 0 ];then
- echo "Installation is only possible as root"
- exit 1
-fi
-
-f=0
-for tool in parted sfdisk mkfs.vfat mkfs.ext4;do
- if ! which $tool >/dev/null; then
- echo "Checking if $tool is installed... failed"
- f=1
- fi
-done
-if [ $f -eq 1 ];then exit 1;fi
-
-datadir=0
-keep=0
-while getopts "dk" ch; do
- case $ch in
- d)
- datadir=1
- ;;
- k)
- keep=1
- ;;
- esac
-done
-shift $((OPTIND - 1))
-
-if [ -z $1 ];then
- echo "Please give your SD card device as first parameter"
- exit 1
-else
- if [ -z $2 ];then
- echo "Please give your install tar archive as second parameter"
- exit 1
- fi
- if [ -f $2 ];then
- echo "Installing $2 on $1"
- else
- echo "$2 is not a file, exiting"
- exit 1
- fi
- if [ -b $1 ];then
- echo "Using $1 as SD card disk for installation"
- echo "WARNING: This will destroy all data on $1 - type Yes to continue!"
- read y
- if [ "$y" = "Yes" ];then
- env LC_ALL=C sfdisk -l $1 2>&1 |grep 'No medium'
- if [ $? -eq 0 ];then
- echo "No medium found"
- exit 1
- else
- echo "Starting with installation"
- fi
- else
- echo "Exiting."
- exit 1
- fi
- else
- echo "Sorry $1 is not a block device"
- exit 1
- fi
-fi
-
-
-if [ $(mount | grep $1| wc -l) -ne 0 ];then
- echo "Block device $1 is in use, please umount first"
- exit 1
-fi
-
-echo "Wiping existing partitions"
-dd if=/dev/zero of=$1 bs=512 count=1 >/dev/null 2>&1
-sync
-
-echo "Create partition and filesystem for raspberry pi"
-rootpart=${1}2
-parted -s $1 mklabel msdos
-sleep 2
-maxsize=$(env LC_ALL=C parted $1 -s unit cyl print |awk '/^Disk/ { print $3 }'|sed -e 's/cyl//')
-
-if [ $datadir -eq 0 ];then
- rootsize=$(($maxsize-2))
-else
- rootsize=$(($maxsize-34))
- datasize=$(($maxsize-2))
-fi
-
-parted -s $1 unit cyl mkpart primary fat32 -- 0 16
-if [ $datadir -eq 0 ];then
- parted -s $1 unit cyl mkpart primary ext2 -- 16 $rootsize
- parted -s $1 unit cyl mkpart primary fat32 $rootsize $maxsize
- sfdisk --change-id $1 3 88 >/dev/null 2>&1
-else
- parted -s $1 unit cyl mkpart primary ext2 -- 16 $rootsize
- parted -s $1 unit cyl mkpart primary ext2 $rootsize $datasize
- parted -s $1 unit cyl mkpart primary fat32 $datasize $maxsize
- parted -s $1 set 1 boot on
- sfdisk --change-id $1 4 88 >/dev/null 2>&1
-fi
-sleep 2
-mkfs.vfat ${1}1 >/dev/null
-mkfs.ext4 -F -q -O ^huge_file ${1}2
-if [ $datadir -eq 1 ];then
- if [ $keep -eq 0 ];then
- mkfs.ext4 -F -q -O ^huge_file ${1}3
- fi
-fi
-sync
-sleep 2
-
-tmp=$(mktemp -d)
-mount -t ext4 ${rootpart} $tmp
-mkdir $tmp/boot
-if [ $datadir -eq 1 ];then
- if [ $keep -eq 0 ];then
- mkdir $tmp/data
- mount -t ext4 ${1}3 $tmp/data
- mkdir $tmp/data/mpd $tmp/data/xbmc
- umount $tmp/data
- fi
-fi
-mount -t vfat ${1}1 $tmp/boot
-sleep 1
-echo "Extracting install archive"
-tar -C $tmp -xzpf $2
-echo "Fixing permissions"
-chmod 1777 $tmp/tmp
-chmod 4755 $tmp/bin/busybox
-if [ $datadir -eq 1 ];then
- echo "/dev/mmcblk0p3 /data ext4 rw 0 0" >>$tmp/etc/fstab
-fi
-umount $tmp/boot
-umount $tmp
-echo "Successfully installed."
-exit 0
diff --git a/scripts/install-solidrun.sh b/scripts/install-solidrun.sh
deleted file mode 100755
index 0a360a3e4..000000000
--- a/scripts/install-solidrun.sh
+++ /dev/null
@@ -1,143 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-if [ $(id -u) -ne 0 ];then
- echo "Installation is only possible as root"
- exit 1
-fi
-
-f=0
-for tool in parted sfdisk mkfs.ext4;do
- if ! which $tool >/dev/null; then
- echo "Checking if $tool is installed... failed"
- f=1
- fi
-done
-if [ $f -eq 1 ];then exit 1;fi
-
-datadir=0
-keep=0
-while getopts "dk" ch; do
- case $ch in
- d)
- datadir=1
- ;;
- k)
- keep=1
- ;;
- esac
-done
-shift $((OPTIND - 1))
-
-if [ -z $1 ];then
- echo "Please give your SD card device as first parameter"
- exit 1
-else
- if [ -z $2 ];then
- echo "Please give your install tar archive as second parameter"
- exit 1
- fi
- if [ -f $2 ];then
- echo "Installing $2 on $1"
- else
- echo "$2 is not a file, exiting"
- exit 1
- fi
- if [ -z $3 ];then
- echo "Please give your firmware directory as third parameter"
- exit 1
- fi
- if [ ! -d $3 ];then
- echo "$3 is not a directory, exiting"
- exit 1
- fi
- if [ -b $1 ];then
- echo "Using $1 as SD card disk for installation"
- echo "WARNING: This will destroy all data on $1 - type Yes to continue!"
- read y
- if [ "$y" = "Yes" ];then
- env LC_ALL=C sfdisk -l $1 2>&1 |grep 'No medium'
- if [ $? -eq 0 ];then
- echo "No medium found"
- exit 1
- else
- echo "Starting with installation"
- fi
- else
- echo "Exiting."
- exit 1
- fi
- else
- echo "Sorry $1 is not a block device"
- exit 1
- fi
-fi
-
-if [ $(mount | grep $1| wc -l) -ne 0 ];then
- echo "Block device $1 is in use, please umount first"
- exit 1
-fi
-
-maxsize=$(env LC_ALL=C parted $1 -s unit s print |awk '/^Disk/ { print $3 }'|sed -e 's/s//')
-maxsize=$(($maxsize-1))
-
-if [ $datadir -eq 0 ];then
- rootsize=$(($maxsize-32768))
- rootsizeend=$(($rootsize+1))
-else
- rootsize=$(($maxsize-32768-131072))
- rootsizeend=$(($rootsize+1))
- datasize=$(($maxsize-32768))
- datasizeend=$(($datasize+1))
-fi
-
-echo "Install bootloader for cubox-i/hummingboard"
-parted -s $1 mklabel msdos >/dev/null 2>&1
-dd if=${3}/SPL of=${1} bs=1K seek=1 >/dev/null 2>&1
-dd if=${3}/u-boot.img of=${1} bs=1K seek=42 >/dev/null 2>&1
-if [ $datadir -eq 0 ];then
- parted -a optimal -s $1 unit s mkpart primary ext2 -- 2048 $rootsize >/dev/null 2>&1
- parted -a optimal -s $1 unit s mkpart primary fat32 -- $rootsizeend $maxsize
- sfdisk --change-id $1 2 88 >/dev/null 2>&1
-else
- parted -a optimal -s $1 unit s mkpart primary ext2 -- 2048 $rootsize
- parted -a optimal -s $1 unit s mkpart primary ext2 -- $rootsizeend $datasize
- parted -a optimal -s $1 unit s mkpart primary fat32 -- $datasizeend $maxsize
- sfdisk --change-id $1 3 88
-
-fi
-
-echo "Creating filesystem"
-mkfs.ext4 -F -q -O ^huge_file ${1}1
-sync
-if [ $datadir -eq 1 ];then
- if [ $keep -eq 0 ];then
- mkfs.ext4 -F -q -O ^huge_file ${1}2
- fi
-fi
-
-tmp=$(mktemp -d)
-mount -t ext4 ${1}1 $tmp
-
-if [ $datadir -eq 1 ];then
- if [ $keep -eq 0 ];then
- mkdir $tmp/data
- mount -t ext4 ${1}2 $tmp/data
- mkdir $tmp/data/mpd $tmp/data/xbmc
- umount $tmp/data
- fi
-fi
-
-echo "Extracting install archive"
-tar -C $tmp -xzpf $2
-if [ $datadir -eq 1 ];then
- echo "/dev/mmcblk0p2 /data ext4 rw 0 0" >>$tmp/etc/fstab
-fi
-echo "Fixing permissions"
-chmod 1777 $tmp/tmp
-chmod 4755 $tmp/bin/busybox
-cp ${3}/*.dtb $tmp/boot/
-umount $tmp
-echo "Successfully installed."
-exit 0
diff --git a/scripts/install.sh b/scripts/install.sh
index cdaca5833..0cdc43fa8 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -511,7 +511,7 @@ case $target {
(( quiet )) || print Extracting installation archive...
mount_fs "$rootpart" "$R" ext4
-gzip -dc "$src" | (cd "$R"; tar -xpf -)
+xz -d "$src" | (cd "$R"; tar -xpf -)
if (( datafssz )); then
mkdir -m0755 "$R"/data
diff --git a/target/linux/config/Config.in.network b/target/linux/config/Config.in.network
index a9980d50d..e4e22ad7c 100644
--- a/target/linux/config/Config.in.network
+++ b/target/linux/config/Config.in.network
@@ -2,6 +2,7 @@ menu "Network support"
config ADK_KERNEL_CONFIG_INET
bool "Enable TCP/IP support"
+ select ADK_KERNEL_CRYPTO
select ADK_KERNEL_CRYPTO_AES
default y
diff --git a/toolchain/gcc/Makefile.inc b/toolchain/gcc/Makefile.inc
index 0acfdc50c..91bf4428c 100644
--- a/toolchain/gcc/Makefile.inc
+++ b/toolchain/gcc/Makefile.inc
@@ -12,7 +12,7 @@ LIBSTDCXXVER:= 19
endif
ifeq ($(ADK_TOOLCHAIN_GCC_4_8_4),y)
PKG_VERSION:= 4.8.4
-PKG_MD5SUM:= e2c60f5ef918be2db08df96c7d97d0c4
+PKG_MD5SUM:= 0c92ac45af5b280e301ca56b40fdaea2
PKG_SITES:= ${MASTER_SITE_GNU:=gcc/gcc-${PKG_VERSION}/}
PKG_RELEASE:= 1
DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.gz
diff --git a/toolchain/glibc/patches/2.20/glibc-cross.patch b/toolchain/glibc/patches/2.20/glibc-cross.patch
index a1903179d..5a655b7c5 100644
--- a/toolchain/glibc/patches/2.20/glibc-cross.patch
+++ b/toolchain/glibc/patches/2.20/glibc-cross.patch
@@ -1,6 +1,6 @@
-diff -Nur glibc-2.19.orig/sunrpc/rpc/types.h glibc-2.19/sunrpc/rpc/types.h
---- glibc-2.19.orig/sunrpc/rpc/types.h 2014-02-07 10:04:38.000000000 +0100
-+++ glibc-2.19/sunrpc/rpc/types.h 2014-03-03 13:42:42.000000000 +0100
+diff -Nur glibc-2.20.orig/sunrpc/rpc/types.h glibc-2.20/sunrpc/rpc/types.h
+--- glibc-2.20.orig/sunrpc/rpc/types.h 2014-09-07 10:09:09.000000000 +0200
++++ glibc-2.20/sunrpc/rpc/types.h 2014-12-26 10:30:51.733297900 +0100
@@ -74,19 +74,24 @@
# define __daddr_t_defined
#endif
@@ -38,14 +38,14 @@ diff -Nur glibc-2.19.orig/sunrpc/rpc/types.h glibc-2.19/sunrpc/rpc/types.h
# define __daddr_t_defined
#endif
-diff -Nur glibc-2.19.orig/sunrpc/rpc_main.c glibc-2.19/sunrpc/rpc_main.c
---- glibc-2.19.orig/sunrpc/rpc_main.c 2014-02-07 10:04:38.000000000 +0100
-+++ glibc-2.19/sunrpc/rpc_main.c 2014-03-04 07:12:00.000000000 +0100
+diff -Nur glibc-2.20.orig/sunrpc/rpc_main.c glibc-2.20/sunrpc/rpc_main.c
+--- glibc-2.20.orig/sunrpc/rpc_main.c 2014-09-07 10:09:09.000000000 +0200
++++ glibc-2.20/sunrpc/rpc_main.c 2014-12-26 11:23:56.822092200 +0100
@@ -38,7 +38,11 @@
#include <stdio.h>
#include <string.h>
#include <unistd.h>
-+#ifdef __APPLE__
++#if defined(__APPLE__) || defined(__CYGWIN__)
+#define gettext(X) (X)
+#else
#include <libintl.h>
@@ -53,7 +53,18 @@ diff -Nur glibc-2.19.orig/sunrpc/rpc_main.c glibc-2.19/sunrpc/rpc_main.c
#include <locale.h>
#include <ctype.h>
#include <sys/types.h>
-@@ -958,10 +962,12 @@
+@@ -51,6 +55,10 @@
+ #include "rpc_scan.h"
+ #include "proto.h"
+
++#ifdef __CYGWIN__
++#define stat64 stat
++#endif
++
+ #include "../version.h"
+ #define PACKAGE _libc_intl_domainname
+
+@@ -958,10 +966,12 @@
abort ();
temp = rindex (cmd->infile, '.');
cp = stpcpy (mkfilename, "Makefile.");
@@ -69,9 +80,9 @@ diff -Nur glibc-2.19.orig/sunrpc/rpc_main.c glibc-2.19/sunrpc/rpc_main.c
}
else
-diff -Nur glibc-2.19.orig/sunrpc/rpc_scan.c glibc-2.19/sunrpc/rpc_scan.c
---- glibc-2.19.orig/sunrpc/rpc_scan.c 2014-02-07 10:04:38.000000000 +0100
-+++ glibc-2.19/sunrpc/rpc_scan.c 2014-03-04 07:11:29.000000000 +0100
+diff -Nur glibc-2.20.orig/sunrpc/rpc_scan.c glibc-2.20/sunrpc/rpc_scan.c
+--- glibc-2.20.orig/sunrpc/rpc_scan.c 2014-09-07 10:09:09.000000000 +0200
++++ glibc-2.20/sunrpc/rpc_scan.c 2014-12-26 10:30:51.764498000 +0100
@@ -37,7 +37,11 @@
#include <stdio.h>
#include <ctype.h>